org.fourthline.cling.model.meta

## Class ModelDetails

- java.lang.Object
- - org.fourthline.cling.model.meta.ModelDetails

-     public class ModelDetails
      extends Object

  Encpasulates optional metadata about the model of a device.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelDetails(String modelName)`
    `ModelDetails(String modelName, String modelDescription)`
    `ModelDetails(String modelName, String modelDescription, String modelNumber)`
    `ModelDetails(String modelName, String modelDescription, String modelNumber, String modelURI)`
    `ModelDetails(String modelName, String modelDescription, String modelNumber, URI modelURI)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModelDescription()`
    `String` | `getModelName()`
    `String` | `getModelNumber()`
    `URI` | `getModelURI()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelDetails

          public ModelDetails(String modelName)

    - #### ModelDetails

          public ModelDetails(String modelName,
                              String modelDescription)

    - #### ModelDetails

          public ModelDetails(String modelName,
                              String modelDescription,
                              String modelNumber)

    - #### ModelDetails

          public ModelDetails(String modelName,
                              String modelDescription,
                              String modelNumber,
                              URI modelURI)

    - #### ModelDetails

          public ModelDetails(String modelName,
                              String modelDescription,
                              String modelNumber,
                              String modelURI)
                       throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

  - ### Method Detail

    - #### getModelName

          public String getModelName()

    - #### getModelDescription

          public String getModelDescription()

    - #### getModelNumber

          public String getModelNumber()

    - #### getModelURI

          public URI getModelURI()

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.